Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarkus Tiede2013-11-28 13:52:53 +0000
committerMarkus Tiede2013-11-28 14:51:20 +0000
commit5bf058bd5f7b8dda1136939e6c86ee38d42a29be (patch)
treeec6df6d39f88a113157fa4eadbf92cbaed4693ee /org.eclipse.jubula.client.core/META-INF/MANIFEST.MF
parent0b1a6f5109d669a5317ccc4de58b9833e77e9fee (diff)
downloadorg.eclipse.jubula.core-5bf058bd5f7b8dda1136939e6c86ee38d42a29be.tar.gz
org.eclipse.jubula.core-5bf058bd5f7b8dda1136939e6c86ee38d42a29be.tar.xz
org.eclipse.jubula.core-5bf058bd5f7b8dda1136939e6c86ee38d42a29be.zip
Sprint task - switch JPA 2.1.0 and EclipseLink 2.5.1
Diffstat (limited to 'org.eclipse.jubula.client.core/META-INF/MANIFEST.MF')
-rw-r--r--org.eclipse.jubula.client.core/META-INF/MANIFEST.MF17
1 files changed, 10 insertions, 7 deletions
diff --git a/org.eclipse.jubula.client.core/META-INF/MANIFEST.MF b/org.eclipse.jubula.client.core/META-INF/MANIFEST.MF
index 5e00c86ae..4f2dd1b41 100644
--- a/org.eclipse.jubula.client.core/META-INF/MANIFEST.MF
+++ b/org.eclipse.jubula.client.core/META-INF/MANIFEST.MF
@@ -6,9 +6,12 @@ Bundle-Version: 2.3.0.qualifier
Eclipse-BuddyPolicy: registered
Bundle-ClassPath: .,
resources/,
- lib/dom4j-1.6.1.jar
+ lib/dom4j-1.6.1.jar,
+ lib/eclipselink.jar,
+ lib/javax.persistence_2.1.0.v201304241213.jar
Bundle-Vendor: Eclipse Jubula
-Export-Package: org.dom4j,
+Export-Package: javax.persistence,
+ org.dom4j,
org.dom4j.bean,
org.dom4j.datatype,
org.dom4j.dom,
@@ -49,7 +52,11 @@ Export-Package: org.dom4j,
org.eclipse.jubula.client.core.preferences.database,
org.eclipse.jubula.client.core.progress,
org.eclipse.jubula.client.core.propertytester,
- org.eclipse.jubula.client.core.utils
+ org.eclipse.jubula.client.core.utils,
+ org.eclipse.persistence,
+ org.eclipse.persistence.config,
+ org.eclipse.persistence.jpa,
+ org.eclipse.persistence.sessions
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.6.0,4.0.0)",
org.eclipse.jubula.ui.compatibility;bundle-version="[2.3.0,2.4.0)",
org.h2;bundle-version="[1.1.117,2.0.0)",
@@ -59,10 +66,6 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.6.0,4.0.0)",
org.apache.commons.lang;bundle-version="[2.4.0,3.0.0)",
org.apache.commons.cli;bundle-version="[1.2.0,2.0.0)",
org.apache.commons.beanutils;bundle-version="[1.7.0,2.0.0)",
- javax.persistence;bundle-version="[2.0.3,2.1.0)",
- org.eclipse.persistence.jpa;bundle-version="[2.3.0,2.4.0)",
- org.eclipse.persistence.asm;bundle-version="[2.3.0,2.4.0)",
- org.eclipse.persistence.jpa.osgi;bundle-version="[2.3.0,2.4.0)",
org.slf4j.api;bundle-version="[1.7.2,2.0.0)",
ch.qos.logback.classic;bundle-version="[1.0.0,2.0.0)",
ch.qos.logback.core;bundle-version="[1.0.0,2.0.0)",

Back to the top